org.apache.xmlgraphics.ps.dsc.events

## Class DSCCommentBoundingBox

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentBoundingBox

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent
  Direct Known Subclasses:
    DSCCommentHiResBoundingBox, DSCCommentPageBoundingBox

      public class DSCCommentBoundingBox
      extends AbstractDSCComment

  Represents a %%BoundingBox DSC comment.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCCommentBoundingBox()` Creates a new instance.
    `DSCCommentBoundingBox(java.awt.geom.Rectangle2D bbox)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `java.awt.geom.Rectangle2D` | `getBoundingBox()` Returns the bounding box.
    `java.lang.String` | `getName()` Returns the name of the DSC comment.
    `boolean` | `hasValues()` Indicates whether this DSC comment has values.
    `void` | `parseValue(java.lang.String value)` Parses the value of the DSC comment.
    `void` | `setBoundingBox(java.awt.geom.Rectangle2D bbox)` Sets the bounding box.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### DSCCommentBoundingBox

          public DSCCommentBoundingBox()

      Creates a new instance.

    - #### DSCCommentBoundingBox

          public DSCCommentBoundingBox(java.awt.geom.Rectangle2D bbox)

      Creates a new instance.
      Parameters:
        `bbox` - the bounding box

  - ### Method Detail

    - #### getBoundingBox

          public java.awt.geom.Rectangle2D getBoundingBox()

      Returns the bounding box.
      Returns:
        the bounding box

    - #### setBoundingBox

          public void setBoundingBox(java.awt.geom.Rectangle2D bbox)

      Sets the bounding box.
      Parameters:
        `bbox` - the bounding box

    - #### getName

          public java.lang.String getName()

      Returns the name of the DSC comment.
      Returns:
        the name of the DSC comment (without the "%%" prefix)

    - #### hasValues

          public boolean hasValues()

      Indicates whether this DSC comment has values.
      Returns:
        true if the DSC comment has values

    - #### parseValue

          public void parseValue(java.lang.String value)

      Parses the value of the DSC comment.
      Parameters:
        `value` - the value

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Writes the event to the given PSGenerator.
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.